Attribute VB_Name = "Wrapper"
' Project: StrawHelp
' Module : Wrapper
'
' Purpose: This module just gets everything going...
'
' Author : Rick Murray
'          heyrick1973 @ yahoo . co . uk
'          http://www.heyrick.co.uk/software/strawhelp/
'
' Version: 0.05
'
' Date   : 28th December 2009
' Started: 18th April 2008
'
'
' Licence:
'
'   StrawHelp is Copyright  2015 Rick Murray
'
'   Licensed under the EUPL, Version 1.1 ONLY (the "Licence");
'   You may not use this work except in compliance with the Licence.
'
'   You may obtain a copy of the Licence in all European languages at:
'     https://joinup.ec.europa.eu/software/page/eupl
'
'   A PDF version in English should have been supplied with this source.
'   If it was not, a copy may be found at the above URL.
'
'   Unless required by applicable law or agreed to in writing, software
'   distributed under the Licence is distributed on an "AS IS" basis,
'   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
'   implied. See the Licence for the specific language governing
'   permissions and limitations under the Licence.
'

Option Explicit


Public AppVers As String
Public AppDate As String
Public AppAuth As String
Public AppSupp As String


Public Sub Main()
  AppVers = CStr(App.Major) & "." & _
            Right$("00" & CStr(App.Minor), 2)
  AppDate = "2015/03/17" ' previous was "2009/12/28"
  AppAuth = "Rick Murray"
  AppSupp = "http://www.heyrick.co.uk/software/strawhelp/"

  ' set up the help system
  Help_Initialise
  
  ' and show what manuals are available
  frmManuals.Show
End Sub
