VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.3#0"; "comctl32.ocx"
Object = "{EAB22AC0-30C1-11CF-A7EB-0000C05BAE0B}#1.1#0"; "shdocvw.dll"
Begin VB.Form frmMain 
   Caption         =   "StrawHelp"
   ClientHeight    =   5400
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   9345
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   5400
   ScaleWidth      =   9345
   Begin SHDocVwCtl.WebBrowser brwWebBrowser 
      Height          =   4575
      Left            =   120
      TabIndex        =   6
      Top             =   600
      Width           =   5775
      ExtentX         =   10186
      ExtentY         =   8070
      ViewMode        =   0
      Offline         =   0
      Silent          =   0
      RegisterAsBrowser=   0
      RegisterAsDropTarget=   1
      AutoArrange     =   0   'False
      NoClientEdge    =   0   'False
      AlignLeft       =   0   'False
      NoWebView       =   0   'False
      HideFileNames   =   0   'False
      SingleClick     =   0   'False
      SingleSelection =   0   'False
      NoFolders       =   0   'False
      Transparent     =   0   'False
      ViewID          =   "{0057D0E0-3573-11CF-AE69-08002B2E1262}"
      Location        =   ""
   End
   Begin VB.CommandButton btnMain 
      Caption         =   "&Main page"
      Height          =   375
      Left            =   1320
      TabIndex        =   1
      Top             =   120
      Width           =   975
   End
   Begin VB.CommandButton btnViewSource 
      BackColor       =   &H80000013&
      Caption         =   "&View sources"
      Height          =   375
      Left            =   6480
      MaskColor       =   &H80000018&
      Style           =   1  'Graphical
      TabIndex        =   4
      Top             =   120
      Width           =   1215
   End
   Begin VB.CommandButton btnDump 
      BackColor       =   &H80000013&
      Caption         =   "&Dump tables"
      Height          =   375
      Left            =   7920
      Style           =   1  'Graphical
      TabIndex        =   5
      Top             =   120
      Width           =   1215
   End
   Begin VB.CommandButton btnFileSys 
      Caption         =   "Browse &file system"
      Height          =   375
      Left            =   4440
      TabIndex        =   3
      Top             =   120
      Width           =   1575
   End
   Begin VB.CommandButton btnIndex 
      Caption         =   "Manuals &index"
      Height          =   375
      Left            =   2880
      TabIndex        =   2
      Top             =   120
      Width           =   1215
   End
   Begin VB.CommandButton btnBack 
      Caption         =   "Go &back"
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   975
   End
   Begin VB.Timer timTimer 
      Enabled         =   0   'False
      Interval        =   5
      Left            =   6180
      Top             =   1500
   End
   Begin ComctlLib.ImageList imlIcons 
      Left            =   6120
      Top             =   2160
      _ExtentX        =   1005
      _ExtentY        =   1005
      BackColor       =   -2147483643
      ImageWidth      =   24
      ImageHeight     =   24
      MaskColor       =   12632256
      _Version        =   327682
      BeginProperty Images {0713E8C2-850A-101B-AFC0-4210102A8DA7} 
         NumListImages   =   6
         BeginProperty ListImage1 {0713E8C3-850A-101B-AFC0-4210102A8DA7} 
            Picture         =   "frmMain.frx":08CA
            Key             =   ""
         EndProperty
         BeginProperty ListImage2 {0713E8C3-850A-101B-AFC0-4210102A8DA7} 
            Picture         =   "frmMain.frx":0F5C
            Key             =   ""
         EndProperty
         BeginProperty ListImage3 {0713E8C3-850A-101B-AFC0-4210102A8DA7} 
            Picture         =   "frmMain.frx":15EE
            Key             =   ""
         EndProperty
         BeginProperty ListImage4 {0713E8C3-850A-101B-AFC0-4210102A8DA7} 
            Picture         =   "frmMain.frx":1C80
            Key             =   ""
         EndProperty
         BeginProperty ListImage5 {0713E8C3-850A-101B-AFC0-4210102A8DA7} 
            Picture         =   "frmMain.frx":2312
            Key             =   ""
         EndProperty
         BeginProperty ListImage6 {0713E8C3-850A-101B-AFC0-4210102A8DA7} 
            Picture         =   "frmMain.frx":29A4
            Key             =   ""
         EndProperty
      EndProperty
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Project: StrawHelp
' Form   : frmMain
'
' Purpose: This is a form containing an MSIE 'window' which is
'          used to provide a viewer for StrongHelp manuals, which
'          have been auto-converted to HTML format on the fly.
'
' Loaded : On demand, from frmManual as a manual is loaded.
' Unloads: Itself, when 'X' button clicked.
'          Unloading will cause frmManual to be opened.
'
' Author : Rick Murray
'          heyrick1973 @ yahoo . co . uk
'          http://www.heyrick.co.uk/software/strawhelp/
'
' Version: 0.03
'
' Date   : 27th July 2009
' Started: 18th April 2008
'
'
' Licence:
'
'   StrawHelp is Copyright  2015 Rick Murray
'
'   Licensed under the EUPL, Version 1.1 ONLY (the "Licence");
'   You may not use this work except in compliance with the Licence.
'
'   You may obtain a copy of the Licence in all European languages at:
'     https://joinup.ec.europa.eu/software/page/eupl
'
'   A PDF version in English should have been supplied with this source.
'   If it was not, a copy may be found at the above URL.
'
'   Unless required by applicable law or agreed to in writing, software
'   distributed under the Licence is distributed on an "AS IS" basis,
'   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
'   implied. See the Licence for the specific language governing
'   permissions and limitations under the Licence.
'
Option Explicit

Public StartingAddress As String
Dim mbDontNavigateNow As Boolean

Private MyShift As Integer


Private Sub Form_Load()
  On Error Resume Next
  Me.Left = (Screen.Width - Me.Width) / 2
  Me.Top = (Screen.Height - Me.Height) / 2
  
  Me.btnViewSource.Visible = False
  Me.btnDump.Visible = False
  
  Me.Show
  Form_Resize
End Sub


Private Sub Form_Resize()
  If (Me.WindowState = vbMinimized) Then Exit Sub
  
  brwWebBrowser.Left = 50
  brwWebBrowser.Top = 600
  brwWebBrowser.Width = Me.ScaleWidth - 100
  brwWebBrowser.Height = Me.ScaleHeight - 100 - 540
End Sub


Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
  If (UnloadMode = vbFormControlMenu) Then
    Unload frmFileSys
    frmManuals.Show
  End If
End Sub


Private Sub brwWebBrowser_BeforeNavigate2(ByVal pDisp As Object, _
      URL As Variant, Flags As Variant, _
      TargetFrameName As Variant, PostData As Variant, _
      Headers As Variant, Cancel As Boolean)
  
  ' Work around MSIE 8
  If (LCase$(Left$(URL, 37)) = "res://ieframe.dll/unknownprotocol.htm") Then
    URL = Mid$(URL, 39)
  End If
  
  ' Parse "strawhelp:" URLs
  If (Left$(URL, 10) = "strawhelp:") Then
    Cancel = Help_LocateByAddress(Mid$(URL, 11))
    Exit Sub
  End If
  
  ' disable external links
  If (Left$(URL, 4) = "http") Then Cancel = True
  If (Left$(URL, 3) = "ftp") Then Cancel = True
End Sub


Private Sub brwWebBrowser_DownloadComplete()
  On Error Resume Next
  ' Me.Caption = brwWebBrowser.LocationName
End Sub


Private Sub brwWebBrowser_NavigateComplete(ByVal URL As String)
  Dim i As Integer
  Dim bFound As Boolean
  ' Me.Caption = brwWebBrowser.LocationName
  mbDontNavigateNow = False
End Sub


Private Sub timTimer_Timer()
  If brwWebBrowser.Busy = False Then
    timTimer.Enabled = False
    ' Me.Caption = brwWebBrowser.LocationName
  Else
    ' Me.Caption = "Working..."
  End If
End Sub


Private Sub btnBack_Click()
  ' go back
  Help_PullFromStack
End Sub


Private Sub btnBack_MouseUp(Button As Integer, Shift As Integer, _
                            x As Single, y As Single)
  ' RIGHT-click on "Go back" will pop up the history
  If (Button = vbRightButton) Then
    Help_ShowStack (Me.Left + x), (Me.Top + y)
  End If
End Sub


Private Sub btnMain_Click()
  Help_PushToStack ManualRootEntry
  Help_ConvertToHTML ManualRootEntry
End Sub


Private Sub btnIndex_Click()
    ' kill the history, go to the manuals index...
  
  Help_Discard
  frmManuals.Show
  Unload Me
End Sub


Private Sub btnFileSys_Click()
  ' set up the file system browser
  Load frmFileSys
  Help_PopulateDir
  frmFileSys.Show
  frmFileSys.tvDirs.Nodes(1).Expanded = True
  Help_PopulateFile 1
End Sub


Private Sub btnFileSys_MouseUp(Button As Integer, _
                               Shift As Integer, _
                               x As Single, y As Single)
  If (Button = vbRightButton) Then
    Me.btnViewSource.Visible = True
    Me.btnDump.Visible = True
  End If
End Sub


Private Sub btnViewSource_MouseDown(Button As Integer, _
                                    Shift As Integer, _
                                    x As Single, y As Single)
  MyShift = Shift
End Sub



Private Sub btnViewSource_Click()
  If ((MyShift And vbAltMask) <> vbAltMask) Then
    MsgBox "Two files will open in Notepad, to permit a simple " & _
           "comparison of source material and its conversion..." & _
           vbCrLf & vbCrLf & "'dataopen.txt' is the help page " & _
           "as read from the StrongHelp file," & vbCrLf & vbCrLf & _
           "'strhlppage.html' is the HTML conversion of it." & _
           vbCrLf, vbInformation + vbOKOnly
  End If

  ' do this in reverse order to the source file appears on top
  Shell "Notepad " & Chr$(34) & App.Path & "\strhlppage.html" & _
        Chr$(34), vbNormalFocus
  Shell "Notepad " & Chr$(34) & App.Path & "\dataopen.txt" & _
        Chr$(34), vbNormalFocus
End Sub


Private Sub btnDump_Click()
  Help_DumpTables
End Sub

